﻿
namespace SilverlightSIPClient
{
    public enum PhoneLineState
    {
        /// <summary>
        /// The phoneline object is initialized.
        /// </summary>
        Initialized,

        /// <summary>
        /// Registration is requested on SIP Registrar/Proxy.
        /// </summary>
        RegistrationRequested,

        /// <summary>
        /// Registration is succeded on SIP Registrar/Proxy.
        /// </summary>
        RegistrationSucceded,

        /// <summary>
        /// Registration request is failed on SIP Registrar/Proxy.
        /// </summary>
        RegistrationFailed,

        /// <summary>
        /// Registration request is timed out.
        /// </summary>
        RegistrationTimedOut,

        /// <summary>
        /// Deregistration is requested on SIP Registrar/Proxy.
        /// </summary>
        UnregRequested,

        /// <summary>
        /// Deregistration is succeded from SIP Registrar/Proxy.
        /// </summary>
        UnregSucceded,

        /// <summary>
        /// Deregistration request is failed on SIP Registrar/Proxy.
        /// </summary>
        UnregFailed,

        /// <summary>
        /// No registration process needed.
        /// </summary>
        /// <remarks>
        /// Usually use with option with SIP/Analog converters, or when you just want to call and you don't want to be callable.
        /// </remarks>
        NoRegNeeded
    }
}
